
# build gtk/xulrunner frontend (currently FTBFS)
#define gtk 1 

%if 0%{?fedora} && 0%{?fedora} < 15
%define nm_support 1
%endif

Name:           google-gadgets
Summary:        Google Gadgets for Linux
Version:        0.11.2
Release:        10%{?dist}

License:        ASL 2.0
URL:            http://code.google.com/p/google-gadgets-for-linux/
Source0:        http://google-gadgets-for-linux.googlecode.com/files/google-gadgets-for-linux-%{version}.tar.bz2

# for SVN checkouts
#BuildRequires:  autoconf automake libtool

BuildRequires: dbus-devel
BuildRequires: desktop-file-utils libxml2-devel
BuildRequires: libtool-ltdl-devel
%if 0%{?gtk}
BuildRequires: gecko-devel-unstable
BuildRequires: libcurl-devel
BuildRequires: cairo-devel gtk2-devel librsvg2-devel
%endif

%if 0%{?nm_support}
BuildRequires: pkgconfig(NetworkManager) < 0.8.99
%endif

BuildRequires: gstreamer-devel gstreamer-plugins-base-devel
## TODO: add WebKitGTK support
#BuildRequires: pkgconfig(webkit-1.0)
# Qt
BuildRequires: pkgconfig(QtGui) pkgconfig(QtNetwork) pkgconfig(QtWebKit)

# Desktop integration
BuildRequires: startup-notification-devel
BuildRequires: zip
BuildRequires: zlib-devel

Requires:       %{name}-frontend = %{version}-%{release}
Requires:       hicolor-icon-theme

# omitted for now, FTBFS
Obsoletes: google-gadgets-gtk < 0.11.2-10

%description
Google Gadgets for Linux provides a platform for running desktop
gadgets under Linux, catering to the unique needs of Linux users. It
can run, without modification, many Google Desktop gadgets as well as
the Universal Gadgets on iGoogle.

%package gtk
Summary: GTK+ front-end for %{name}
Requires: %{name} = %{version}-%{release}
Provides: %{name}-frontend = %{version}-%{release}
%description    gtk
The %{name}-gtk package contains the GTK+ front-end for %{name}.

%package qt
Summary:  Qt front-end for %{name}
Requires: %{name} = %{version}-%{release}
Provides: %{name}-frontend = %{version}-%{release}
%description qt
The %{name}-qt package contains the Qt front-end for %{name}.

%package devel
Summary: Development files for %{name}
Requires: %{name}%{?_isa} = %{version}-%{release}
Requires: %{name}-qt%{?_isa}
%description devel
The %{name}-devel package contains libraries and header files for
developing applications that use %{name}.


%prep
%setup -q -n %{name}-for-linux-%{version}
# Permission fixes
chmod -x ggadget/qt/utilities.h
# Fix invalid desktop file MIME type
# http://code.google.com/p/google-gadgets-for-linux/issues/detail?id=360
for f in hosts/*/ggl-*.desktop.in; do
    sed -i 's|;app/gg;|;|' $f
done

#autotools/bootstrap.sh
#ln -s %{_datadir}/automake-*/mkinstalldirs libltdl/


%build

%configure \
  --disable-static \
  --disable-werror \
  --disable-update-mime-database \
  --disable-update-desktop-database \
  --enable-libggadget-dbus \
  --disable-libggadget-gtk \
  --disable-libggadget-npapi \
  --with-browser-plugins-dir=%{_libdir}/mozilla/plugins \
  --enable-libggadget-qt 

# Rpath fix by Mamoru Tasaka
# we don't want to obliterate all RPATHs, since it is used during build
# Add library search path
sed -i.libdir_syssearch -e \
 '/sys_lib_dlsearch_path_spec/s|/usr/lib |/usr/lib /usr/lib64 /lib /lib64 |' \
 configure
# Remove the redundant RPATH for %%{_libdir}, already searched by Fedora libtool
sed -i.extra_R -e \
 's|-R\$(libdir)||' \
 hosts/*/Makefile.in

make %{?_smp_mflags}

# Remove quotes from .pc files
find . -name '*.pc' -exec sed -i 's|\"||g' '{}' \;


%install
rm -rf $RPM_BUILD_ROOT
make install DESTDIR=$RPM_BUILD_ROOT 

find $RPM_BUILD_ROOT -name '*.la' -exec rm -fv {} ';'

# SVN checkout: remove ltdl cruft
#rm -rf $RPM_BUILD_ROOT%{_libdir}/*ltdl*
#rm -rf $RPM_BUILD_ROOT%{_includedir}/*ltdl*
                     

%post
/sbin/ldconfig
touch --no-create %{_datadir}/icons/hicolor &>/dev/null || :

%postun
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
touch --no-create %{_datadir}/icons/hicolor &>/dev/null
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null ||:
fi

%posttrans
gtk-update-icon-cache %{_datadir}/icons/hicolor &>/dev/null || :
update-desktop-database &> /dev/null || :
update-mime-database %{_datadir}/mime &> /dev/null ||:

%post qt -p /sbin/ldconfig

%postun qt
/sbin/ldconfig
if [ $1 -eq 0 ] ; then
update-desktop-database &> /dev/null || :
fi

%posttrans qt
update-desktop-database &> /dev/null || :


%files
%doc AUTHORS COPYING README
%dir %{_libdir}/google-gadgets/
%{_libdir}/google-gadgets/modules/
%exclude %{_libdir}/google-gadgets/modules/qt*.so
%{?gtk:%exclude %{_libdir}/google-gadgets/modules/gtk*.so}
%{_libdir}/libggadget-1.0.so.0*
%{_libdir}/libggadget-dbus-1.0.so.0*
%{_libdir}/libggadget-js-1.0.so.0*
%{_libdir}/libggadget-qt-1.0.so.0*
%{_libdir}/libggadget-webkitjs-1.0.so.0*
%{_libdir}/libggadget-xdg-1.0.so.0*
%{_datadir}/google-gadgets/
%{_datadir}/pixmaps/google-gadgets.*
%{_datadir}/icons/hicolor/*/*/*
%{_datadir}/mime/packages/00-google-gadgets.xml

%if 0%{?gtk}
%files gtk
%defattr(-,root,root,-)
%{_bindir}/ggl-gtk
%{_libdir}/libggadget-gtk*.so.*
%{_libdir}/google-gadgets/gtkmoz-browser-child
%{_libdir}/google-gadgets/modules/gtk*.so
%{_datadir}/applications/*gtk.desktop
%{_datadir}/applications/*designer.desktop
%endif

%files qt
%{_bindir}/ggl-qt
%{_datadir}/applications/*qt.desktop
%{_libdir}/libggadget-qt-1.0.so.0*
%{_libdir}/google-gadgets/modules/qt*.so

%files devel
%{_includedir}/google-gadgets/
%{_libdir}/lib*.so
%{_libdir}/google-gadgets/include/
%{_libdir}/pkgconfig/*.pc


%changelog
* Thu Aug 11 2011 Rex Dieter <rdieter@fedoraproject.org> 0.11.2-10
- fix FTBFS, omitting no-longer-building gtk/xulrunner/nm09 pieces

* Tue Feb 08 2011 Fedora Release Engineering <rel-eng@lists.fedoraproject.org> - 0.11.2-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_15_Mass_Rebuild

* Sat May  8 2010 Michel Salim <salimma@fedoraproject.org> - 0.11.2-2
- Remove invalid MIME entry from desktop files
- Update icon cache scriptlets

* Tue Mar 30 2010 Michel Salim <salimma@fedoraproject.org> - 0.11.2-1
- Update to 0.11.2

* Sat Sep 12 2009 Michel Salim <salimma@fedoraproject.org> - 0.11.1-1
- Update to 0.11.1

* Thu Aug  6 2009 Michel Salim <salimma@fedoraproject.org> - 0.11.0-4
- Backport Gecko version detection fix

* Mon Aug 03 2009 Christopher Aillon <caillon@redhat.com> - 0.11.0-3
- Rebuild against newer gecko

* Fri Jul 17 2009 Jan Horak <jhorak@redhat.com> - 0.11.0-2
- Rebuild against newer gecko

* Wed Jul  1 2009 Michel Salim <michel@erdos.localdomain> - 0.11.0-1
- Update to 0.11.0

* Sat May  2 2009 Michel Salim <salimma@fedoraproject.org> - 0.10.6-0.1.20090430svn1449%{?dist}
- Update to SVN checkout, for xulrunner 1.9.1 compatibility

* Mon Apr 27 2009 Christopher Aillon <caillon@redhat.com> - 0.10.5-6
- Rebuild against newer gecko

* Fri Mar 27 2009 Christopher Aillon <caillon@redhat.com> - 0.10.5-4
- Rebuild against newer gecko

* Fri Mar 06 2009 Jan Horak <jhorak@redhat.com> - 0.10.5-3
- Rebuild against newer gecko

* Wed Feb 04 2009 Christopher Aillon <caillon@redhat.com> - 0.10.5-2
- Rebuild against newer gecko

* Wed Jan 14 2009 Rex Dieter <rdieter@fedoraproject.org> - 0.10.5-1
- 0.10.5, req'd by kde

* Tue Dec 30 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.4-2
- BR: Network-Manager-devel, startup-notification-devel
- Pass the browser plugin directory to ./configure
- Move designer desktop entry to -gtk subpackage

* Sat Dec 20 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.4-1
- Update to 0.10.4 (#477251)
- -devel: Requires: %%name-gtk %%name-qt (devel symlinks)
- BR: pkgconfig (automatic pkgconfig deps)

* Sun Nov 23 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.3-1
- Update to 0.10.3

* Sat Nov  8 2008 Rex Dieter <rdieter@fedoraproject.org> - 0.10.1-5
- s/qt-devel/qt4-devel/
- -qt: fix summary

* Tue Sep  2 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.1-4
- Unquote version strings in .pc files

* Thu Aug 28 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.1-3
- RPATH and timestamp fixes from Mamoru Tasaka

* Tue Aug 26 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.1-2
- Fix desktop file creation

* Mon Aug 25 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.1-1
- Update to 0.10.1

* Mon Jul 14 2008 Michel Salim <salimma@fedoraproject.org> - 0.10.0-1
- Update to 0.10.0
- Add missing dependencies for -devel subpackage

* Sun Jul  6 2008 Michel Salim <salimma@fedoraproject.org> - 0.9.3-1
- Update to 0.9.3

* Fri Jun  6 2008 Michel Salim <salimma@fedoraproject.org> - 0.9.1-1
- Initial package
